#ifndef CDLGKEYBOARD_H
#define CDLGKEYBOARD_H

#include <QDialog>

#include "export_ctrls_common.h"
namespace Ui {
class CDlgKeyboard;
}

class CTRLS_COMMON_EXPORT CDlgKeyboard : public QDialog
{
    Q_OBJECT

private:
    explicit CDlgKeyboard(QWidget *parent = 0);
public:
    static CDlgKeyboard& GetInstance();
    ~CDlgKeyboard();
    void showEvent(QShowEvent *event);
    void hideEvent(QHideEvent *event);
    void MoveToPos(QWidget* pWidget);
    bool m_bEnterClick;
    void done(int);
    void MSendEvent(int key,const QString& text);
    void ShowPos(bool abc);
    void setEnabled(bool bEnabled);
    bool getEnabled();
    void SetMainWindow(QWidget* window);
    bool m_babc;
private slots:
    void on_pushButton_7_clicked();

    void on_pushButton_0_clicked();

    void on_pushButton_1_clicked();

    void on_pushButton_2_clicked();

    void on_pushButton_3_clicked();

    void on_pushButton_4_clicked();

    void on_pushButton_5_clicked();

    void on_pushButton_6_clicked();

    void on_pushButton_8_clicked();

    void on_pushButton_9_clicked();

    void on_pushButton_Enter_clicked();

    void on_pushButton_Point_clicked();

    void on_pushButton_Sub_clicked();

    void on_pushButton_Clear_clicked();

//    void on_pushButton_Extra_clicked();

  void on_pushButton_11W_clicked();
  void on_pushButton_10Q_clicked();
  void on_pushButton_19P_clicked();
  void on_pushButton_15Y_clicked();
  void on_pushButton_15Z_clicked();
  void on_pushButton_14T_clicked();
  void on_pushButton_16U_clicked();
  void on_pushButton_30X_clicked();
  void on_pushButton_32V_clicked();
  void on_pushButton_21S_clicked();
  void on_pushButton_18O_clicked();
  void on_pushButton_13R_clicked();
  void on_pushButton_22D_clicked();
  void on_pushButton_17I_clicked();
  void on_pushButton_31C_clicked();
  void on_pushButton_12E_clicked();
  void on_pushButton_20A_clicked();
  void on_pushButton_33B_clicked();
  void on_pushButton_26J_clicked();
  void on_pushButton_23F_clicked();
  void on_pushButton_25H_clicked();
  void on_pushButton_24G_clicked();
  void on_pushButton_27K_clicked();
  void on_pushButton_28L_clicked();
  void on_pushButton_35M_clicked();
  void on_pushButton_34N_clicked();


  void on_pushButton_ABCEnter_clicked();

private:
    Ui::CDlgKeyboard *ui;
    bool m_bEnabled;
    QWidget* m_MainWindow;
};

#endif // CDLGKEYBOARD_H
